XMLWrapperFactory
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class XMLWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory

Direct Known Subclasses:
  DOMWrapperFactory, SAXWrapperFactory

    public abstract class XMLWrapperFactory

extends AutoMedWrapperFactory

XMLWrapperFactory class. Contains a switch that tells the wrappers produced by the factory class to validate the XML file against a referenced schema. Nevertheless, this class also contains switches for controlling whitespace if the validating switch is off but whitespace control is still needed.

Author:
  Lucas Zamboulis

Field Summary
`static int` | `VALIDATING` A feature stating whether the parser of the XML file should validate the file against the accompanying XML Schema/DTD.
`static int` | `WHITESPACE_COLLAPSE` A feature stating that after the processing implied by replace, contiguous sequences of #x20's are collapsed to a single #x20, and leading and trailing #x20's are removed.
`static int` | `WHITESPACE_REPLACE` A feature stating that all occurrences of #x9 (tab), #xA (line feed) and #xD (carriage return) are replaced with #x20 (space).

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`XMLWrapperFactory()` Creates a new XMLWrapperFactory and sets the model name.

Method Summary
`Schema` | `createAutoMedSchema(AutoMedWrapper wrapper, java.lang.String schemaName)` Create an AutoMed oriented schema from the source oriented schema.
`Model` | `getAutoMedModel()` Return the AutoMed oriented `Model` used to represent the `Schema` of the datasource.
`java.lang.String[]` | `getFeatureNames()` Return a string list of features supported by this wrapper, where the first one is bit zero in the feature bit map, second bit one, etc
`Model` | `getModel()` Return the source oriented `Model` used to represent the `Schema` of the datasource.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, newAutoMedWrapper, populateSchema, safeIQL, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATING

    public static final int VALIDATING

  A feature stating whether the parser of the XML file should validate the file against the accompanying XML Schema/DTD.

  See Also:
    Constant Field Values

### WHITESPACE_REPLACE

    public static final int WHITESPACE_REPLACE

  A feature stating that all occurrences of #x9 (tab), #xA (line feed) and #xD (carriage return) are replaced with #x20 (space).

  See Also:
    Constant Field Values

### WHITESPACE_COLLAPSE

    public static final int WHITESPACE_COLLAPSE

  A feature stating that after the processing implied by replace, contiguous sequences of #x20's are collapsed to a single #x20, and leading and trailing #x20's are removed.

  See Also:
    Constant Field Values

Constructor Detail

### XMLWrapperFactory

    public XMLWrapperFactory()

  Creates a new XMLWrapperFactory and sets the model name.

Method Detail

### getFeatureNames

    public final java.lang.String[] getFeatureNames()

  Return a string list of features supported by this wrapper, where the first one is bit zero in the feature bit map, second bit one, etc

  Specified by:
    `getFeatureNames` in class `AutoMedWrapperFactory`

### getModel

    public final Model getModel()

  Description copied from class: `AutoMedWrapperFactory`
  Return the source oriented `Model` used to represent the `Schema` of the datasource. For some wrappers, this may be the same as AutoMed oriented `Model` returned by `AutoMedWrapperFactory.getAutoMedModel()`

  Specified by:
    `getModel` in class `AutoMedWrapperFactory`

### getAutoMedModel

    public final Model getAutoMedModel()

  Description copied from class: `AutoMedWrapperFactory`
  Return the AutoMed oriented `Model` used to represent the `Schema` of the datasource.

  Specified by:
    `getAutoMedModel` in class `AutoMedWrapperFactory`

### createAutoMedSchema

    public final Schema createAutoMedSchema(AutoMedWrapper wrapper,
                                            java.lang.String schemaName)

  Description copied from class: `AutoMedWrapperFactory`
  Create an AutoMed oriented schema from the source oriented schema.

  Specified by:
    `createAutoMedSchema` in class `AutoMedWrapperFactory`
  Parameters:
    `wrapper` - A wrapper containing the source oriented `Schema` from which the AutoMed oriented Schema should be produced.
    `schemaName` - name of the new AutoMed construct oriented schema that is to be created from the source oriented schema. This schema must not yet exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD